EnderDashEnderDash

Update Ocelot Config

Update Ocelot Config. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/ocelot.updateOcelotConfig

Update Ocelot Config. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
enabled*boolean
allowConsole*boolean
allowFiles*boolean
allowPlayers*boolean
allowCommands*boolean
allowWeb*boolean
allowDatabases*boolean
allowShell*boolean
allowProcesses*boolean
allowContainers*boolean
allowServices*boolean
allowEvents*boolean
allowPlugins*boolean
allowPermissions*boolean
allowEconomy*boolean
allowPlayerAdmin*boolean
allowServerLifecycle*boolean
yoloMode*boolean
emergencyStop*boolean
dailyAiQueryHardLimit*number|null

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/ocelot.updateOcelotConfig" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "allowConsole": true,    "allowFiles": true,    "allowPlayers": true,    "allowCommands": true,    "allowWeb": true,    "allowDatabases": true,    "allowShell": true,    "allowProcesses": true,    "allowContainers": true,    "allowServices": true,    "allowEvents": true,    "allowPlugins": true,    "allowPermissions": true,    "allowEconomy": true,    "allowPlayerAdmin": true,    "allowServerLifecycle": true,    "yoloMode": true,    "emergencyStop": true,    "dailyAiQueryHardLimit": 0  }'
{  "result": {    "data": {      "success": true    }  }}